View Issue Details

IDProjectCategoryView StatusLast Update
0004407FreeCADBugpublic2020-11-19 13:48
Reporterari_yagui Assigned Toyorik  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004407: Documentation: Problem Part.Wire
DescriptionAccording the manual https://www.freecadweb.org/manual/a-freecad-manual.pdf (PAGE 163), W = Part.Wire([E1,E2,E3,E4]), must create a Wire, but its fails.
Steps To ReproduceJust write this in the Python console or Macro editor:

import FreeCAD,Part
V1 = FreeCAD.Vector(0,10,0)
V2 = FreeCAD.Vector(30,10,0)
V3 = FreeCAD.Vector(30,-10,0)
V4 = FreeCAD.Vector(0,-10,0)
L1 = Part.Line(V1,V2)
L2 = Part.Line(V4,V3)
E1 = Part.Edge(L1)
E2 = Part.Edge(L2)
W = Part.Wire([E1,E2,E3,E4])
Additional InformationI tested in
1) FreeCAD_0.19-21938-Linux-Conda_glibc2.12-x86_64.AppImage
2) FreeCAD_0.19.21937_x64_LP_12.1.6_PY3QT5-WinVS2015.7z
3) FreeCAD_0.19.21940-Win-Conda_vc14.x-x86_64.7z

Tags#pending, documentation, Part
FreeCAD InformationOS: Ubuntu 20.04 LTS (XFCE/xubuntu)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.21938 (Git) AppImage
Build type: Release
Branch: master
Hash: 5666598a6be219830a992610243fe23144a61453
Python version: 3.8.2
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: Spanish/Argentina (es_AR)

Activities

ari_yagui

2020-07-17 01:47

reporter   ~0014653

The problem is the PDF, in this lines:


L1 = Part.Line(V1,V2)
L2 = Part.Line(V4,V3)
These lines creates infinite lines, and must be a segment.


L1 = Part.LineSegment(V1,V2)
L2 = Part.LineSegment(V4,V3)

So, someone can close this issue? (And modifies the PDF manual?)
Thanks!.

Kunda1

2020-07-19 09:03

administrator   ~0014657

Thank you. Next time please open a forum thread instead per the guidelines.

CC @yorik

openBrain

2020-07-25 09:53

developer   ~0014686

Last edited: 2020-07-25 10:34

View 2 revisions

@ari_yagui : in your snippet you don't create 'E3' & 'E4' edges (so obviously Part.Wire fails) while it is done in the tutorial. Please check.
@Kunda1 : setting to Feedback because I don't think there is something wrong but the user. :) => My mistake. I tried with all the steps of the tutorial and it also fails. Setting back. Sorry for noise.

Kunda1

2020-11-19 13:46

administrator   ~0015006

Last edited: 2020-11-19 13:47

View 2 revisions

@yorik is there a commit associated with this ticket ?

edit: nvm it's in the manual not in the code.

yorik

2020-11-19 13:48

administrator   ~0015007

Last edited: 2020-11-19 13:48

View 2 revisions

This is not a commit. Just someone asked to fix the doc... And it was done already: https://wiki.freecadweb.org/Manual:Creating_and_manipulating_geometry

Issue History

Date Modified Username Field Change
2020-07-16 22:30 ari_yagui New Issue
2020-07-16 22:30 ari_yagui Tag Attached: Part
2020-07-17 01:47 ari_yagui Note Added: 0014653
2020-07-19 09:03 Kunda1 Note Added: 0014657
2020-07-19 09:03 Kunda1 Tag Attached: #pending
2020-07-19 09:03 Kunda1 Assigned To => yorik
2020-07-19 09:03 Kunda1 Status new => confirmed
2020-07-19 09:04 Kunda1 Target Version => 0.19
2020-07-19 09:04 Kunda1 Tag Attached: documentation
2020-07-19 10:06 Kunda1 Summary Problem Part.Wire => Documentation: Problem Part.Wire
2020-07-25 09:53 openBrain Note Added: 0014686
2020-07-25 09:53 openBrain Assigned To yorik =>
2020-07-25 09:53 openBrain Status confirmed => feedback
2020-07-25 10:34 openBrain Note Edited: 0014686 View Revisions
2020-07-25 10:34 openBrain Assigned To => yorik
2020-07-25 10:34 openBrain Status feedback => assigned
2020-11-18 15:12 yorik Status assigned => closed
2020-11-18 15:12 yorik Resolution open => fixed
2020-11-18 15:12 yorik Fixed in Version => 0.19
2020-11-19 13:46 Kunda1 Note Added: 0015006
2020-11-19 13:47 Kunda1 Note Edited: 0015006 View Revisions
2020-11-19 13:48 yorik Note Added: 0015007
2020-11-19 13:48 yorik Note Edited: 0015007 View Revisions